Subject: Re: bug#33718: Syntaxe problem? I can't find the solution :-(

From: Bernhard Voelker <[email-masked]>
Date: Wed, 12 Dec 2018 22:28:24 +0100

On 12/12/18 3:24 PM, Rudy BROSTEAUX wrote:
> I need to use your timeout tool.
> 
> But when I tried it works with these not very nice message...
> "timeout: warning: timer_create: Invalid argument"

'man 3p timer_create' says:

  EINVAL The specified clock ID is not defined.

No idea.  For an analysis, we need more information:
timeout version, OS/kernel version, and finally of course a reproducer,
i.e., the exact command line you were using.

timeout works well here:

  $ /usr/bin/time -f '%e' timeout 2.3 sleep 4.5
  Command exited with non-zero status 124
  2.30

Have a nice day,
Berny